Ruby on Rails Web application framework

learn more… | top users | synonyms

1
vote
2answers
216 views

How can I switch from using Rails 2 (packaged) to Rails 3 (RVM)?

I've installed the Rails 2.3.14 package by running: sudo apt-get install rails It is working fine. But after that I installed the Rails 3.2.9 gem by running: gem install rails In the terminal, ...
0
votes
2answers
62 views

Forbidden to access PhpMyAdmin in VPS of Ubuntu,Apache and Mysql

I get this error through access phpmyadmin in my vps. Forbidden You don't have permission to access /phpmyadmin on this server. Apache/2.4.7 (Ubuntu) Server at 188.165.168.89 Port 1091 I config ruby ...
0
votes
2answers
3k views

Installing Rails on Ubuntu 13.04

I tried installing rails according to this guide, and when I do, I get this error: $ sudo gem install rails WARNING: Error fetching data: Errno::ENOENT: No such file or directory - getaddrinfo ...
3
votes
1answer
136 views

When using Ubuntu with the Kubuntu desktop it asks me to install Rails

Recently I installed Kubuntu (http://www.kubuntu.org/) to improve the speed of using Ubuntu. Neverhteless when I try to run my rails applications with the command "rails s" I get the following error: ...
2
votes
1answer
625 views

Are there any Gedit plugins for Rails

I have watched some video tutorials for rails and spotted gedit as very good editor for ruby on rails development. I installed gmate and some plugins for programming (autocomplete and intelligent ...
1
vote
1answer
100 views

rails -version command error in Ubuntu 12.04

I have installed ruby and rails in Ubuntu 12.04. I am trying to create the new project for rails using this command "rails new testApp", but it is giving me the error ...
1
vote
1answer
735 views

Could not find gem 'jquery-rails (>= 0)'

I was trying to create a rails application. it created it successfully and at the end it says; Resolving dependencies... Could not find gem 'jquery-rails (>= 0) ruby' in the gems available on this ...
1
vote
1answer
125 views

How to install postgressql-server

For ruby development on Heroku I need to use postgresql, but when I do bundle install I see this message: You need to install postgresql-server-dev-X.Y for building a server-side extension or ...
1
vote
1answer
2k views

Permission when running script in Vagrant using Vagrantfile

I have created a vagrant box for running rails applications and I have managed to create it manually. My next step was to create a shell script that I can include in the Vagrantfile so when creating ...
1
vote
1answer
2k views

Launch rails webrick server at startup

I want webrick running at startup. So I execute this command in terminal: crontab -e Then added this line to the end of the file @reboot /home/myname/.rvm/rubies/ruby-2.0.0-head/bin/ruby ...
0
votes
1answer
86 views

How can I capture shell variable output to use in my capistrano task

I am using capistrano to deploy a Ruby on Rails application. I previously was using Centos. In converting my task to be used with Ubuntu, I have a task that I was using for Centos was: capture("env ...
0
votes
1answer
218 views

Ruby on Rails on ubuntu 13.04 using rvm

I am trying to get WEBrick to work rvm gemset list gemsets for ruby-1.8.7-p374 (found in /home/simon/.rvm/gems/ruby-1.8.7-p374) (default) global => simple_cms my gem list gem list *** ...
0
votes
1answer
470 views

How to access Ruby on Rails Assets from a Host Machine

I am running a Ruby on Rails server on an Ubuntu VirtualBox guest machine. I can access the local server from my host machine by setting the Ubuntu network adapter to bridged. My app's hmtl is ...
0
votes
1answer
1k views

Rails 3: No route matches error

I am trying to create a simple form in Rails 3. But facing this issue: Showing /home/praveen/rails_projects/mebay/app/views/ads/new.html.erb where line #2 raised: No route matches ...
0
votes
1answer
543 views

Unable install rails in ubuntu 12.10

I am trying to install rails in my ubuntu 12.10, but I am unsuccessful in doing it. I am getting the error about packages. Here is the sample exmple E: Unable to locate package libsql What I did ...
0
votes
1answer
1k views

How to update rails version from 2.3.14 to 3.2.11?

I am using ruby 1.9.3 and I need to update Rails version or need to reinstall the latest version but in vain. I've tried to install rails (sudo gem install rails), showing: Building native ...
1
vote
0answers
86 views

Ubuntu Server in Virtualbox working slowly for Ruby On Rails

I have quite big rails app to develop frontend for, most work with design involve Adobe Illustrator and Photoshop, tried run them in VM but they work very buggy. So decided to go other way - to run ...
1
vote
0answers
239 views

Error installing rvm on Ubuntu 12.04

I'm taking a web applications development course on Coursera that requires me to install Ruby and Rails. I'm following the instructions at ...
0
votes
0answers
43 views

Sharing a drive on AWS between two ubuntu 14.04 servers running Rails

This is a multi-part question: How do I create a stand-alone drive on Amazon Web Services? How can get two different Ubuntu 14.04 servers to have read/write access to that drive? This is for a ...
0
votes
0answers
20 views

Help! Rails and Ruby Entirely Gone after trying to free up space

my ruby on rails installation is completely gone after i tried to free up some space on my ubuntu 12.04 i ran the following commands and when i restarted ubuntu, typing rails in the terminal says gem ...
0
votes
0answers
14 views

authorization problem occurs while upgrading rails from 3.2.19 to rails 4.0.0.0.rc1

Problem occurs after upgrading from rails 3.2.19 to 4.0.0.0.rc1 when i click on single alert to show ,it shows below error.Earliar it works perfectly but now error occurs in authorization .at time of ...
0
votes
0answers
129 views

Ubuntu 14.10 appears to break rubygems native compilation

Folks, I have come to the conclusion that the issues I am facing with my ruby-on-rails database deployments have more to do with the differences between Ubuntu 14.04LTS and 14.10. When I tried to ...
0
votes
0answers
114 views

can't resize images using paperclip on rails

so I am writing a rails app, I am using paperclip gem to upload images, here is my model class Recipe < ActiveRecord::Base has_attached_file :image, :styles => { :medium => "300x300>"} ...
0
votes
0answers
128 views

can't install capybara-webkit

When I bundle install I get: Gem::Ext::BuildError: ERROR: Failed to build gem native extension. /usr/bin/ruby2.1 extconf.rb Command 'qmake -spec linux-g++ ' not available Makefile not found ...